"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1066d4e00>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1066d4f40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1066d4ea0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1066d4fe0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5080>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5120>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1066d51c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5260>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5300>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1066d53a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5440>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1066d54e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5580>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5620>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1066d56c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5760>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5800>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1066d58a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1066d59e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5a80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5b20>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5bc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5c60>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5d00>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5da0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5e40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5ee0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1066d5f80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6020>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1066d60c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6160>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6200>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1066d62a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6340>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1066d63e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6480>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6520>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1066d65c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6660>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6700>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1066d67a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6840>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1066d68e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6980>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6a20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6ac0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6b60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6c00>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6ca0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6d40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6de0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6e80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6f20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1066d6fc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7060>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7100>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d71a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7240>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d72e0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7380>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7420>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1066d74c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7560>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7600>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1066d76a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7740>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1066d77e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7880>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7920>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1066d79c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7a60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7b00>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7ba0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7c40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7ce0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7d80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7e20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7ec0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1066e4040>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1066d7f60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1066e40e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1066e4180>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1066e4220>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1066e42c0>)]
name: str = 'fr_HOCCN'
